OpenTTD Source: Ticks Class Reference

OpenTTD Source 14.0-RC3

Static Public Attributes
Ticks Class Reference

Storage class for Ticks constants. More...

`#include <timer_game_tick.h>`

## Static Public Attributes
static constexpr TimerGameTick::Ticks | INVALID_TICKS = -1
| Representation of an invalid number of ticks.
static constexpr TimerGameTick::Ticks | DAY_TICKS = 74
| 1 day is 74 ticks; TimerGameCalendar::date_fract used to be uint16_t and incremented by 885. More...
static constexpr TimerGameTick::Ticks | TICKS_PER_SECOND = 1000 / MILLISECONDS_PER_TICK
| Estimation of how many ticks fit in a single second.
static constexpr TimerGameTick::Ticks | STATION_RATING_TICKS = 185
| Cycle duration for updating station rating.
static constexpr TimerGameTick::Ticks | STATION_ACCEPTANCE_TICKS = 250
| Cycle duration for updating station acceptance.
static constexpr TimerGameTick::Ticks | STATION_LINKGRAPH_TICKS = 504
| Cycle duration for cleaning dead links.
static constexpr TimerGameTick::Ticks | CARGO_AGING_TICKS = 185
| Cycle duration for aging cargo.
static constexpr TimerGameTick::Ticks | INDUSTRY_PRODUCE_TICKS = 256
| Cycle duration for industry production.
static constexpr TimerGameTick::Ticks | TOWN_GROWTH_TICKS = 70
| Cycle duration for towns trying to grow (this originates from the size of the town array in TTD).
static constexpr TimerGameTick::Ticks | INDUSTRY_CUT_TREE_TICKS = INDUSTRY_PRODUCE_TICKS * 2
| Cycle duration for lumber mill's extra action.

## Detailed Description

Storage class for Ticks constants.

Definition at line 39 of file timer_game_tick.h.

## Field Documentation

## ◆ DAY_TICKS

constexpr TimerGameTick::Ticks Ticks::DAY_TICKS = 74
| staticconstexpr

1 day is 74 ticks; TimerGameCalendar::date_fract used to be uint16_t and incremented by 885.

On an overflow the new day begun and 65535 / 885 = 74. 1 tick is approximately 27 ms. 1 day is thus about 2 seconds (74 * 27 = 1998) on a machine that can run OpenTTD normally ticks per day

Definition at line 48 of file timer_game_tick.h.

Referenced by CmdSetTimetableStart(), GetDateFromStartTick(), GetStartTickFromDate(), HandleBankruptcyTakeover(), ClientNetworkGameSocketHandler::Receive_SERVER_FRAME(), GUIList< BuildBridgeData >::ResetResortTimer(), TimerGameCalendar::SetDate(), and TimerGameEconomy::SetDate().

The documentation for this class was generated from the following file:

- src/timer/timer_game_tick.h